Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal
Class ChannelRendererFactory

    java.lang.Object
      org.jasig.portal.ChannelRendererFactory

    public final class ChannelRendererFactory

extends java.lang.Object

The `ChannelRendererFactory` creates `IChannelRendererFactory` objects which are used to construct `IChannelRenderer` objects with implementation specific parameters.

This factory design is motivated by the need for different kinds of `IChannelRenderer` implementations including single-threaded serial channel renderers, multi-threaded parallel channel renderers, and thread-pool serial/parallel channel renderers.

Version:
  $Revision: 1.6.4.1 $
Author:
  Jan Nielsen

Field Summary
`private static org.apache.commons.logging.Log` | `LOG`
`static java.lang.String` | `RCS_ID` Class version identifier.

Constructor Summary
`ChannelRendererFactory()`

Method Summary
`static IChannelRendererFactory` | `newInstance(java.lang.String keyBase)` Creates a new instance of a channel renderer factory object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

  Class version identifier.

  See Also:
    Constant Field Values

### LOG

    private static final org.apache.commons.logging.Log LOG

Constructor Detail

### ChannelRendererFactory

    public ChannelRendererFactory()

Method Detail

### newInstance

    public static final IChannelRendererFactory newInstance(java.lang.String keyBase)

  Creates a new instance of a channel renderer factory object. This factory looks for the property `keyBase + ".factoryClassName"` in the configuration system and then reflectively constructs the factory class with a single string argument constructor, passing in the `keyBase` as the argument.

  Parameters:
    `keyBase` - configuration base key
  Returns:
    new instance of a channel renderer for the specified channel, or `null`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD